import { Route } from '@angular/router';
import { NotFoundComponent } from '../shared/components/not-found/not-found.component';
import { ProfileEditAvatarComponent } from './components/profile-edit-avatar/profile-edit-avatar.component';
import { ProfileEditBasicsComponent } from './components/profile-edit-basics/profile-edit-basics.component';
import { ProfileEditContactComponent } from './components/profile-edit-contact/profile-edit-contact.component';
import { ProfileEditCredentialsComponent } from './components/profile-edit-credentials/profile-edit-credentials.component';
import { ProfileEditSettingsComponent } from './components/profile-edit-settings/profile-edit-settings.component';
import { ProfileEditComponent } from './components/profile-edit/profile-edit.component';
import { ProfileTabEnum } from './enums/profile-tab.enum';

export const profileTabRoutes: Route[] = [
    {
        path: 'basics',
        component: ProfileEditBasicsComponent,
        data: {
            tab: ProfileTabEnum.Basics,
        },
    },
    {
        path: 'contact',
        component: ProfileEditContactComponent,
        data: {
            tab: ProfileTabEnum.Contact,
        },
    },
    {
        path: 'credentials',
        component: ProfileEditCredentialsComponent,
        data: {
            tab: ProfileTabEnum.Credentials,
        },
    },
    {
        path: 'avatar',
        component: ProfileEditAvatarComponent,
        data: {
            tab: ProfileTabEnum.Avatar,
        },
    },
    {
        path: 'settings',
        component: ProfileEditSettingsComponent,
        data: {
            tab: ProfileTabEnum.Settings,
        },
    },
];

export const profileRoutes: Route[] = [
    {
        path: '',
        component: ProfileEditComponent,
        children: profileTabRoutes,
    },
];
